$ The_Default = F$Environment("DEFAULT")
$ On Control_Y Then Goto The_Exit
$ __VAX == 1
$ __ALPHA == 0
$ On Error Then Goto The_Exit
$ sys_ver = f$edit(f$getsyi("version"),"compress")
$ if f$extract(0,1,sys_ver) .nes. "V"
$ then
$ type sys$input
You appear to be running a Field Test version of VMS. This script will 
assume that the operating system version is at least V5.0. 

$ sys_ver = "V5.0"
$ endif
$ sys_maj = 0+f$extract(1,1,sys_ver)
$ sys_min = 0+f$extract(3,1,sys_ver)
$ if sys_maj .lt. 5 then if (sys_min/2)*2 .ne. sys_min then-
    sys_min = sys_min - 1
$ if sys_maj .lt. 5
$ then
$ write sys$output "You are running VMS V''sys_ver'."
$ type sys$input
VMS C-Kermit has not been verified to build properly under this version, 
although pre-built versions will run properly. Please exercise caution 
until you have verified proper operation. 

$ endif
$ vms_ver = "VMS_V''sys_maj'''sys_min'"
$ if ("''net_option'" .eqs. "")
$ then
$ net_option = "NONET"
$ library_dir = "SYS$LIBRARY"
$ if f$search("CMUIP_ROOT:[SYSLIB]LIBCMU.OLB") .nes. ""
$ then
$ net_option = "CMU_TCPIP"
$ endif
$ if f$search("SYS$LIBRARY:UCX$IPC.OLB") .nes. ""
$ then
$ net_option = "DEC_TCPIP"
$ endif
$ if f$search("TCPWARE:UCX$IPC.OLB") .nes. ""
$ then
$ net_option = "TCPWARE"
$ library_dir = "TCPWARE"
$ endif
$ if f$search("TWG$COMMON:[NETDIST.LIB]TWGLIB.OLB") .nes. ""
$ then
$ net_option = "WINTCP"
$ define /nolog vaxc$include twg$tcp:[netdist.include],sys$library
$ define /nolog sys twg$tcp:[netdist.include.sys]
$ endif
$ if f$search("multinet:multinet_socket_library.exe") .nes. "" then-
      net_option = "MULTINET"
$ else
$ library_dir = "SYS$LIBRARY"
$ net_option = f$edit(net_option,"UPCASE")
$ endif
$ if net_option .eqs. "NONET" then net_name = "no"
$ if net_option .eqs. "MULTINET" then net_name = "MultiNet"
$ if net_option .eqs. "WINTCP" then net_name = "WIN/TCP"
$ if net_option .eqs. "CMU_TCPIP" then net_name = "CMU-OpenVMS/IP"
$ if net_option .eqs. "DEC_TCPIP" then-
    net_name = "DEC TCP/IP Services for OpenVMS(tm)"
$ if net_option .eqs. "TCPWARE"
$ then
$ net_name = "Process Software TCPware"
$ net_option = "DEC_TCPIP"
$ endif
$ if f$search("sys$library:xabrudef.h") .eqs. "" .and.-
	f$search("sys$library:sys$starlet_c.tlb") .eqs. ""
$ then
$ type sys$input
Your system has an older version of the C compiler.  VMS C-Kermit was 
designed to be compiled under VAX C V3.1 or newer or DEC C V1.3 or 
newer.  It has not been verified to build properly under this version, 
although pre-built versions will run properly.  Please exercise caution 
until you have verified proper operation. 

$ endif
$ DO_CC: Subroutine
$ On Control_Y Then $exit %x10000004
$ On Warning Then   $exit $status
$ write sys$output "  cc Compiling ''P1' at ''f$time()"
$ cc /nolist/debug  /define=("DYNAMIC", "NOJC", "NOSETBUF", "CK_CURSES", "KANJI",-
  "IFDEBUG", "''net_option'", "''vms_ver'")/obj='P1'.obj 'localopts' 'P2' 'P1'.c
$ library /replace wermit.olb 'P1'.obj
$ delete/NoLog 'P1'.obj.*
$ exit
$ EndSubroutine
$ if f$search("wermit.olb") .eqs. ""
$ then
$ library/create/object wermit.olb
$ write sys$output "WERMIT.OLB created"
$ endif
$ write sys$output "Rebuilding wermit with ''net_name' network support"
$ if f$type(localopts) .eqs. "" then localopts = ""
$ call do_cc ckvioc
$ call do_cc ckcfn2
$ call do_cc ckcfn3
$ call do_cc ckcfns
$ call do_cc ckcmai
$ write sys$output "  cc Compiling CKWART at ''f$time()"
$ cc /nolist /nolist/debug /define=("DYNAMIC", "NOJC", "NOSETBUF", "CK_CURSES", "KANJI",-
  "IFDEBUG", "''net_option'", "''vms_ver'")/obj=ckwart.obj 'localopts' ckwart.c
$ write sys$output "  Linking CKWART at ''f$time()"
$ link /nomap /exec=ckwart ckwart.obj, sys$input:/opt
sys$share:vaxcrtl.olb/lib 
$ purge/nolog ckwart.obj
$ write sys$output "Running CKWART at ''f$time()"
$ ckwart = "$" +f$parse("CKWART.EXE",,,"DEVICE") +-
    f$parse("CKWART.EXE",,,"DIRECTORY") + "CKWART"
$ ckwart ckcpro.w ckcpro.c
$ purge ckcpro.c
$ call do_cc ckcpro
$ call do_cc ckucmd
$ call do_cc ckudia
$ call do_cc ckuscr
$ call do_cc ckuus2
$ call do_cc ckuus3
$ call do_cc ckuus4
$ call do_cc ckuus5
$ call do_cc ckuus6
$ call do_cc ckuus7
$ call do_cc ckuusr
$ call do_cc ckuusx
$ call do_cc ckuusy
$ call do_cc ckcnet
$ call do_cc ckvfio
$ call do_cc ckvtio
$ call do_cc ckuxla
$ call do_cc ckvcon
$ write sys$output "  Linking wermit at ''f$time()"
$ if net_option .eqs. "MULTINET"
$ then
$ link  /exec=wermit.exe-
    wermit.olb/library/include=ckcmai, sys$input:/options
sys$share:vaxcrtl.olb/lib 
multinet:multinet_socket_library.exe/share 
$ else
$ if net_option .eqs. "WINTCP"
$ then
$ link  /exec=wermit.exe-
    wermit.olb/library/include=(ckcfn2, ckcfn3, ckcfns,-
    ckcmai, ckcpro, ckucmd, ckudia, ckuscr, ckuus2, ckuus3, ckuus4, ckuus5,-
    ckuus6, ckuus7, ckuusr, ckuxla, ckvcon, ckcnet, ckvfio, ckvtio),-
    twg$common:[netdist.lib]twglib.olb/library,-
    sys$input:/options
sys$share:vaxcrtl.olb/lib 
$ else
$ if net_option .eqs. "CMU_TCPIP"
$ then
$ link  /exec=wermit.exe-
    wermit.olb/library/include=(ckcfn2, ckcfn3, ckcfns,-
    ckcmai, ckcpro, ckucmd, ckudia, ckuscr, ckuus2, ckuus3, ckuus4, ckuus5,-
    ckuus6, ckuus7, ckuusr, ckuxla, ckvcon, ckcnet, ckvfio, ckvtio),-
    cmuip_root:[syslib]libcmu.olb/library,-
    sys$input:/options
$ else
$ if net_option .eqs. "DEC_TCPIP"
$ then
$ link  /exec=wermit.exe-
    wermit.olb/library/include=(ckcfn2, ckcfn3, ckcfns,-
    ckcmai, ckcpro, ckucmd, ckudia, ckuscr, ckuus2, ckuus3, ckuus4, ckuus5,-
    ckuus6, ckuus7, ckuusr, ckuxla, ckvcon, ckcnet, ckvfio, ckvtio, ckvioc),-
    'library_dir':ucx$ipc.olb/library,-
    sys$input:/options
sys$share:vaxcrtl.olb/lib 
$ else
$ link  /exec=wermit.exe-
    wermit.olb/library/include=(ckcfn2, ckcfn3, ckcfns,-
    ckcmai, ckcpro, ckucmd, ckudia, ckuscr, ckuus2, ckuus3, ckuus4, ckuus5,-
    ckuus6, ckuus7, ckuusr, ckuxla, ckvcon, ckcnet, ckvfio, ckvtio),-
    sys$input:/options
sys$share:vaxcrtl.olb/lib 
$ endif
$ endif
$ endif
$ endif
$ set file/protection=(g:re,w:re) wermit.exe
$ write sys$output "Done rebuilding wermit"
$ write sys$output "Rebuilding CKVCVT"
$ write sys$output "  Compiling CKVCVT at ''f$time()"
$ cc /nolist/debug /define=("DYNAMIC", "NOJC", "NOSETBUF", "CK_CURSES", "KANJI",-
  "IFDEBUG", "''net_option'", "''vms_ver'")/obj=ckvcvt.obj 'localopts' ckvcvt.c
$ write sys$output "  Linking CKVCVT at ''f$time()"
$ link /nomap /exec=ckvcvt ckvcvt.obj, sys$input:/opt
sys$share:vaxcrtl.olb/lib 
$ set file/protection=(g:re,w:re) ckvcvt.exe
$ purge ckvcvt.obj
$ write sys$output "Done rebuilding CKVCVT"
$The_Exit:
$ Save_Status = $STATUS
$ Set Default 'The_Default'
$ exit Save_Status
